package com.persagy.dmp.rwd.demand.constant;

import lombok.Getter;

/**
 * 需求状态
 * @author Charlie Yu
 * @date 2021-09-16
 */
@Getter
public enum DemandBillState {
    /** 需求状态 */
    SAVING(0, "待提交"),
    SUBMITTED(1, "待回复"),
    APPROVED_ACCEPT(2, "已接受"),
    APPROVED_REJECT(3, "已拒绝"),
    SEND_BACK(4, "待完善"),
    PROOFING(5, "论证中");

    private Integer index;
    private String name;

    DemandBillState(Integer index, String name) {
        this.index = index;
        this.name = name;
    }
}
